<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>

	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">区域维护</a></div>
		<div class="common_content_title">区域维护</div>
		<div class="">
			<span>添加一级区域</span>
			<form id="first_org_form">
				<input class="form-control input140" type="text" name="orgName" id="firstOrgName" data-options="required:true,length:'20'">
				<button id="save_first" type="button" class="btn btn-success choose_btn" style="margin-top:0;width:auto;position: relative;top: -2px;">保存</button>
			</form>
		</div>
		<div class="margin20">
			<table id="tg" class="easyui-treegrid" style="width:100%;height:700px;" data-options="
				iconCls: 'icon-ok',
				rownumbers: true,
				animate: true,
				collapsible: true,
				fitColumns: true,
				url: '../../orgController/showOrg.do',
				method: 'get',
				idField: 'orgId',
				treeField: 'orgName'
			">
				<thead>
					<tr>
						<th data-options="field:'orgName',width:80">区域目录</th>
						<th data-options="field:'orgId1',width:40,formatter:addBtn,editor:'numberbox'">添加子区域</th>
						<th data-options="field:'orgId',width:40,formatter:updateBtn,editor:'numberbox'">修改</th>
						<th data-options="field:'orgId2',width:40,formatter:deleteBtn,editor:'numberbox'">删除</th>
					</tr>
				</thead>
				
			</table>
		</div>
		<div id="tianjiaquyu" class="mask clearfix none">
			<div class="detailed xitongpeizhi_detailed tabPanel">
				<button type="button" class="icon detailed_close"></button>
				<div class="common_content_title">添加子区域</div>
				<div>
					<form id="save_form">
						<div class="row">
							<div class="col-xs-2 msg">子区域名称</div>
							<div class="col-xs-3">
								<input type="hidden" class="form-control" id="addPareOrgId" name="pareOrgId">
								<input type="text" class="form-control" id="addOrgName" name="orgName" data-options="required:true,length:'20'">
							</div>
						</div>
						<button id="saveOrg" onclick="doSaveOrg();" type="button" class="btn btn-success btn-block choose_btn">保存</button>
					</form>
				</div>
			</div>
		</div>
		<div id="xiugaiquyu" class="mask clearfix none">
			<div class="detailed xitongpeizhi_detailed tabPanel">
				<button type="button" class="icon detailed_close" id="detailedCloseButton"></button>
				<div class="common_content_title">修改区域</div>
				<div>
					<form id="update_form">
						<div class="row">
							<div class="col-xs-2 msg">区域名称</div>
							<div class="col-xs-3">
								<input type="hidden" class="form-control" id="updateOrgId" name="orgId">
								<input type="text" class="form-control" id="updateOrgName" name="orgName" data-options="required:true,length:'20'">
							</div>
							<div class="col-xs-offset-1 col-xs-2 msg">上级区域</div>
							<div class="col-xs-3">
								<div>
									<input type="hidden" name="pareOrgId" id="updatePareOrgId"  />
									<input size="16" type="text" class="form-control" value="" input-type="select" id="parentOrgSelect" readonly >
									<ul class="dropdown-menu" data="" id="cityDetailUl">
									</ul>
									<i class="input_icon input_down"></i>
								</div>
							</div>
						</div>
						<button id="updateOrg" onclick="doUpdateOrg();"  type="button" class="btn btn-success btn-block choose_btn">保存</button>
					</form>
				</div>
			</div>
		</div>
		<script type="text/javascript">

			$(function() {
				require(['view/base/orgManage'], function(re) {
					re.init();
				});
			});

			function addBtn(value,column){
				if (column.orgId){
					var s='<div onclick="showAdd('+column.orgId+','+column.orgTypeId+');" class="table_icon icon_add"></div>';
			    	return s;
				} else {
			    	return '';
				}
			}
			
			function updateBtn(value,column){
				if (column.orgId){
					var s='<div onclick="showUpdate('+column.orgId+');" class="table_icon icon_upd"></div>';
			    	return s;
				} else {
					return '';
				}
			}	
			
			function deleteBtn(value,column){
				if (column.orgId){
					var s='<div onclick="deleteOrg('+column.orgId+');" class="table_icon icon_del"></div>';
			    	return s;
				} else {
			    	return '';
				}
			}		
			
			function showAdd(orgId,orgTypeId){
				$('#addPareOrgId').val("");
            	$('#addOrgName').val("");
				$("#tianjiaquyu").show();
				$("#addPareOrgId").val(orgId);				
			}			
			
			function showUpdate(orgId){
				isAuthForAjax('/orgController/editOrg.do',"POST","","json","",function(result){
					$("#xiugaiquyu").show();
					$("#updateOrgId").val(orgId);
					$("#updatePareOrgId").val("");
					$("#parentOrgSelect").val("");
					
					//获取指定区域详情 
		    		var url=$.baseUrl+"/orgController/orgDetail.do?orgId="+orgId;
		        	$.ajax({
		                type:"POST",
		                url:url,
		                dataType:"JSON",
		                contentType: "application/x-www-form-urlencoded; charset=utf-8", 
		                success:function(data){
		                	$("#updateOrgName").val(data.orgName);
		                	$("#updatePareOrgId").val(data.pareOrgId);
		                	$("#parentOrgSelect").val(data.pareOrgName);
		                },
		                error:function(){
		                    alert("request error");
		                }
		            });
					//初始化下拉框
					$('.dropdown-menu').each(function(i,v){
						$("#cityDetailUl").html('');
						initSelectById("parentOrgSelect","/orgController/findParentOrgList.do?orgId="+orgId,"orgId","orgName","orgTypeId");
					});
				},function(data){
					alert("request error");
				});
				
				/* $("#xiugaiquyu").show();
				$("#updateOrgId").val(orgId);
				$("#updatePareOrgId").val("");
				$("#parentOrgSelect").val("");
				
				//获取指定区域详情 
	    		var url=$.baseUrl+"/orgController/orgDetail.do?orgId="+orgId;
	        	$.ajax({
	                type:"POST",
	                url:url,
	                dataType:"JSON",
	                contentType: "application/x-www-form-urlencoded; charset=utf-8", 
	                success:function(data){
	                	$("#updateOrgName").val(data.orgName);
	                	$("#updatePareOrgId").val(data.pareOrgId);
	                	$("#parentOrgSelect").val(data.pareOrgName);
	                },
	                error:function(){
	                    alert("request error");
	                }
	            });
				
				//初始化下拉框
				$('.dropdown-menu').each(function(i,v){
					initSelectById("parentOrgSelect","/orgController/findParentOrgList.do?orgId="+orgId,"orgId","orgName","orgTypeId");
				}); */
				

			}	
			
			function doSaveOrg(){
				//保存子区域 
				var ck = formCheck($("#save_form"));
				if(ck){			
		    		var url=$.baseUrl+"/orgController/saveOrg.do";
		        	$.ajax({
		                type:"POST",
		                url:url,
		                dataType:"JSON",
		                data:$('#save_form').serialize(),
		                contentType: "application/x-www-form-urlencoded; charset=utf-8", 
		                success:function(result){
				        	var data = eval('(' + result + ')');
							alert(data.message);
							if(data.code==1){
			                	$('#addPareOrgId').val("");
			                	$('#addOrgName').val("");
			                	$('#tianjiaquyu').hide();
			                	$("#tg").treegrid('load');
			                //	$('#tg').treegrid('collapseAll');
							}
		                	
		                },
		                error:function(){
		                    alert("request error");
		                }
		            });
				}	
			}	
			
			function doUpdateOrg(){
				//编辑区域 
				var ck = formCheck($("#update_form"));
				if(ck){				
		    		var url=$.baseUrl+"/orgController/editOrg.do";
		        	$.ajax({
		                type:"POST",
		                url:url,
		                dataType:"JSON",
		                data:$('#update_form').serialize(),
		                contentType: "application/x-www-form-urlencoded; charset=utf-8", 
		                success:function(result){
		                	$('#updateOrgId').val("");
		                	$('#updatePareOrgId').val("");
		                	$('#updateOrgName').val("");
		                	//$("#updateOrgTypeId").val("");
		                	$('#xiugaiquyu').hide();
				        	var data = eval('(' + result + ')');
							alert(data.message);
		                	$("#tg").treegrid('load');
		                //	$('#tg').treegrid('collapseAll');
		                },
		                error:function(){
		                    alert("request error");
		                }
		            });
				}					
			}		
			
			function deleteOrg(orgId){
				
				isAuthForAjax('/orgController/removeOrg.do',"POST","","json","",function(result){
					if(confirm("确认删除？")){
			    		var url=$.baseUrl+"/orgController/removeOrg.do?orgId="+orgId;
			        	$.ajax({
			                type:"POST",
			                url:url,
			                dataType:"JSON",
			                contentType: "application/x-www-form-urlencoded; charset=utf-8", 
			                success:function(result){
					        	var data = eval('(' + result + ')');
								alert(data.message);
			                	$("#tg").treegrid('load');
			               // 	$('#tg').treegrid('collapseAll');
			                },
			                error:function(){
			                    alert("request error");
			                }
			            });
					}
				},function(data){
					alert("request error");
				});
				
				/* if(confirm("确认删除？")){
		    		var url=$.baseUrl+"/orgController/removeOrg.do?orgId="+orgId;
		        	$.ajax({
		                type:"POST",
		                url:url,
		                dataType:"JSON",
		                contentType: "application/x-www-form-urlencoded; charset=utf-8", 
		                success:function(result){
				        	var data = eval('(' + result + ')');
							alert(data.message);
		                	$("#tg").treegrid('load');
		               // 	$('#tg').treegrid('collapseAll');
		                },
		                error:function(){
		                    alert("request error");
		                }
		            });
				} */
			}			
		</script>
	</body>

</html>